Bug 435055 - ipa-server-install creating bind zone files with incorrect names.
ipa-server-install creating bind zone files with incorrect names.
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-26 20:42 EST by Michael Gregg
Modified: 2015-01-04 18:30 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use fqdn variable to determine hostname (771 bytes, patch)
2008-02-26 22:35 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Michael Gregg 2008-02-26 20:42:38 EST
Description of problem:
zone files get generated by ipa-server-install with incorrect information. 

How reproducible:
always

Steps to Reproduce:
1. run install with /usr/sbin/ipa-server-install -U
--hostname=ipaqavm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p Secret123 -P
Secret123 -a Secret123 --setup-bind -u admin -d
  
Actual results:

Produced the following information in the dsqa.sjc2.redhat.com zone file:
                        IN NS                   dsqa
dsqa                    IN A                    10.14.0.110
;
; ldap servers
_ldap._tcp              IN SRV 0 100 389        dsqa

;kerberos realm
_kerberos               IN TXT DSQA.SJC2.REDHAT.COM

; kerberos servers
_kerberos._tcp          IN SRV 0 100 88         dsqa
_kerberos._udp          IN SRV 0 100 88         dsqa
_kerberos-master._tcp   IN SRV 0 100 88         dsqa
_kerberos-master._udp   IN SRV 0 100 88         dsqa
_kpasswd._tcp           IN SRV 0 100 464        dsqa
_kpasswd._udp           IN SRV 0 100 464        dsqa


Expected results:
all of the SRV records should have been to ipqavm, not dsqa, and the main A
record should have been to ipaqavm not dsqa.

Additional info:
Comment 1 Rob Crittenden 2008-02-26 22:35:02 EST
Created attachment 296021 [details]
Use fqdn variable to determine hostname
Comment 2 Rob Crittenden 2008-02-26 22:35:24 EST
Pushed in changeset 691 under 1-liner rule
Comment 3 Michael Gregg 2008-02-27 14:29:13 EST
verified against:
1204139684 ipa-server-selinux-0.99.0-1 Wed Feb 27 2008 
1204139699 mod_auth_kerb-5.3-4.ipa Wed Feb 27 2008 
1204139706 ipa-admintools-0.99.0-1 Wed Feb 27 2008 
1204139706 ipa-python-0.99.0-1 Wed Feb 27 2008 
1204139712 ipa-server-0.99.0-2 Wed Feb 27 2008 
 
Comment 4 Rob Crittenden 2008-02-27 14:34:09 EST
I should note that you should NOT be using mod_auth_kerb-5.3-4.ipa anymore.

Note You need to log in before you can comment on or make changes to this bug.